* {
    padding: 0;
    margin: 0;
    text-decoration: none;
    font-weight: normal;
    list-style: none;
    box-sizing: border-box;
}

.h1 {
    color: #ed6d3e;
    margin-left: 10px;
    font-size: 1rem;
}

h2 {
    font-size: 5rem;
    font-weight: bold;
}

h3 {
    font-size: 2rem;
    color: #ce314c;
    padding: 20px 0;
}

h4 {
    font-size: 1.3rem;
    text-align: left;
}

h5 {
    line-height: 5rem;
    padding: 20px;
    font-size: 6rem;
    font-weight: bold;
}

.disenyador {
    font-size: 3rem;
    font-family: 'Times New Roman', Times, serif;
}

.naranja {
    color: #ed6d3e;
}

.centrarTexto {
    text-align: center;
}


/************************************
                COOKIES
************************************/

.aviso-cookies {
	display: none;
	background: #fff;
	padding: 20px;
	width: calc(100% - 40px);
	max-width: 300px;
	line-height: 150%;
	border-radius: 10px;
	position: fixed;
	bottom: calc(50% - 100px);
	left: calc(50% - 150px);
	z-index: 100;
	padding-top: 60px;
	box-shadow: 0px 2px 20px 10px rgba(0,0,0,.35);
	text-align: center;
}

.aviso-cookies.activo {
	display: block;
}

.aviso-cookies .galleta {
	max-width: 100px;
	position: absolute;
	top: -60px;
	left: calc(50% - 50px);
}

.aviso-cookies .titulo,
.aviso-cookies .parrafo {
	margin-bottom: 15px;
    font-family: Belanosima-Regular, sans-serif;
}

.aviso-cookies .boton {
	width: 100%;
	background: #595959;
	border: none;
	color: #fff;
	font-family: Belanosima-Regular, sans-serif;
	text-align: center;
	padding: 15px 20px;
	font-weight: 500;
	cursor: pointer;
	transition: .3s ease all;
	border-radius: 5px;
	margin-bottom: 15px;
	font-size: 14px;
}

.aviso-cookies .boton:hover {
	background: #000;
}

.aviso-cookies .enlaceCookie {
	color: #ce314c;
	text-decoration: none;
	font-size: 14px;
}

.aviso-cookies .enlaceCookie:hover {
	text-decoration: underline;
}

.fondo-aviso-cookies {
	display: none;
	background: rgba(255,255,255,.20);
	position: fixed;
	z-index: 99;
	width: 100vw;
	height: 100vh;
	top: 0;
	left: 0;
}

.fondo-aviso-cookies.activo {
	display: block;
}

/************************************
                BOTON TOP
************************************/

.go-top-container {
    position: fixed;
    bottom: 4rem;
    right: 4rem;
    width: 4rem;
    height: 4rem;
    z-index: -1;
}

.go-top-button {
    width: 0rem;
    height: 0rem;
    background: #fff;
    box-shadow: 1px 1px 10px 0px rgba(0,0,0,0.5);
    border-radius: 50%;
    cursor: pointer;
    transition: .2s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

.go-top-button i {
    position: absolute;
    font-size: 1.7rem;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    color: #000;
    transition: .2s;
}

.show {
    z-index: 10;
}

.show .go-top-button {
    animation: popup .3s ease-in-out;
    width: 4rem;
    height: 4rem;
    z-index: 11;
}

.show i {
    transform: translate(-50%, -50%) scale(1);
}

@keyframes popup {
    0%{
        width: 0rem;
        height: 0rem;
    }
    50%{
        width: 5.5rem;
        height: 5.5rem;
    }
    100%{
        width: 4rem;
        height: 4rem;
    }
}

/************************************
                MENU
************************************/

.enlace {
    position: absolute;
    display: flex;
    padding: 20px 20px;
}

.checkbtn {
    display: none;
    float: right;
    align-items: center;
    align-content: center;
    height: 80px;
    font-size: 30px;
    color:#fff;
    padding: 25px;
    cursor: pointer;
}

#check {
    display: none;
}

.logo {
    height: 60px;
    margin: 20 0;
}

.isologo {
    color:#fff;
    margin-left: 10px;
    font-size: 2rem;
    display: flex;
    align-items: center;
}

.tipo {
    color: #ce314c;
    margin-left: 10px;
    font-size: 1rem;
}

nav {
    height: 100px;
    width: 100%;
    max-width: 1200px;
    margin: auto;
    background: #000;
    font-family: Belanosima-Regular, sans-serif;
}

nav > ul {
    display: flex;
    height: 100px;
    float: right;
    align-items: center;
    padding: 20 0px;
}

nav > ul > li {
    display: inline-block;
    margin: 0 0;
    position: relative;
}

nav > ul > li a {
    color: #fff;
    font-size: 18px;
    padding: 41px 13px 40px 13px;
    text-transform: capitalize;
}

li a.active {
    background:#ce314c;
	text-shadow: 1px 1px 4px #000;
}

li a:not(.active):hover {
    transition: 0.8s;
    background:#ed6d3e;
    text-shadow: 1px 1px 4px #000;
}

/************************************
                SUBMENU
************************************/

nav ul li ul {
    width: 220px;
    display: flex;
    flex-direction: column;
    background: #fff;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    position: absolute;
    top: 60px;
    padding: 14px 0px;
    visibility: hidden;
    opacity: 0;
    z-index: 10;
}

nav ul li:hover ul {
    visibility: visible;
    opacity: 1;
    transition: all 0.3s ease;
}

nav ul li ul:before {
    content: '';
    width: 0;
    height: 0;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid #fff;
    position: absolute;
    top: -12px;
    left: 38px;
}

nav ul li ul a {
    display: block;
    color:#000;
    padding: 10px;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 10px;
    font-size: 14px;
    border-radius: 6px;
    text-transform: uppercase;
    transition: all 0.5s ease;
}

nav ul li ul a:hover {
    background: #ce314c;
    color: #fff;
}

/************************************
                MAIN
************************************/

.inicio {
    height: calc(100vh - 100px);
    width: 100%;
    margin: auto;
    background: url(../img/fondo.jpg) no-repeat;
    background-size: cover;
    background-position: center center;
}

.js {
    width: 100%;
    display: flex;
    position: absolute;
    flex-direction: column;
    padding-top: 30vh;
    text-align: center;
    z-index: 1;
    place-items: center center;
    margin: auto;
    font-family: Belanosima-Regular, sans-serif;
    color:#fff;
    letter-spacing: 6px;
    line-height: 40px;
    text-shadow: 1px 1px 4px #000;
}

/************************************
                ABOUT
************************************/
.about {
    background: black;
    color:#fff;
    width: 90%;
    max-width: 1200px;
    min-height: 100vh;
    margin: 20px auto;
    padding: 0px 0px;
    font-family: Belanosima-Regular, sans-serif;
}

.inicioAbout {
    display: grid;
    grid-template-columns: 40% 60%;
    grid-template-rows: auto auto;
}

.textoAbout {
    padding-left: 30px;
}

.imagenPersonal {
    width: 100%;
    border-radius: 10px;
    border: #fff solid 2px;
    margin-top: 10px;
}

#leyendo {
    display: none;
    margin-top: 20px;
    width: 100%;
    grid-column: 1/span 2;
    border-radius: 10px;
}

/************************************
                PROYECTOS
************************************/

#proyectos {
    background: black;
    background-color: black;
    width: 90%;
    max-width: 1200px;
    margin: 20px auto;
    gap: 20px;
    padding: 0px 0px;
    font-family: Belanosima-Regular, sans-serif;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-template-areas:
      "photo-p photo-0 photo-0"
      "photo-p photo-0 photo-0"
      "photo-1 photo-3 photo-6"
      "photo-5 photo-2 photo-4";
}

#proyectos > a > div {
    min-height: 33%;
    font-family: Belanosima-Regular, sans-serif;
    border-radius: 10px;
    border: #fff solid 2px;
    background-size:cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: flex;
    place-items: center center;
    place-content: center center;
}

#proyectos .photo-p {
    background-color: #fff;
    grid-area: photo-p;
    color: #000;
    font-size: 20px;
    border-radius: 10px;
    padding: 10px 30px 20px 30px;
}

#proyectos .photo-p p {
    grid-area: photo-p;
    display: inline-block;
    border-radius: 5px;
}

#proyectos .photo-p li {
    font-size: 1.1rem;
    line-height: 1.5rem;
    margin-left: 30px;
    color: #ce314c;
}

#proyectos .photo-0 {
    background-color: #fff;
    background-size:cover;
    background-position: center center;
    background-repeat: no-repeat;
    grid-area: photo-0;
    background-image: url(../img/work-p.jpg);
    border-radius: 10px;
}

#proyectos > a > div:not(.photo-0, .photo-p){
    min-height: 33vh;
    font-family: Belanosima-Regular;
    border-radius: 10px;
    border: #fff solid 2px;
    background-size:cover;
    background-position: center center;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    place-items: center center;
    place-content: center center;
}

#proyectos > a > div:not(.photo-0, .photo-p) > div {
    background-color: #fff;
    border-radius: 6px;
    min-width: 200px;
    min-height: 150px;
    color:#000;
    font-size: 20px;
    text-align: center;
    text-transform: uppercase;
    position:relative;
    display: flex;
    align-items: center;
    justify-items: center;
    align-content: center;
    justify-content: center;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    transition: all 0.3s ease;
}

#proyectos > a:hover > div:not(.photo-0, .photo-p) > div {
    background-color: rgba(0,0,0,0.7);
    border-radius: 0px;
    width: 100%;
    display: inline-flex;
    position: absolute;
    min-height: 80px;
    padding: 20px;
    align-items: center;
    justify-items: center;
    align-content: center;
    justify-content: center;
    color:#fff;
    font-size: 22px;
    text-transform: uppercase;
    box-shadow: 0px 0px 10px 0px rgba(255, 255, 255, 0.2);
}

#proyectos .photo-1 {
    background-color: #fff;
    grid-area: photo-1;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-01.jpg");
}

#proyectos .photo-1:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-01.jpg");
    grid-area: photo-1;
}

#proyectos .photo-2 {
    background-color: #fff;
    grid-area: photo-2;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-02.jpg");
}

#proyectos .photo-2:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-02.jpg");
    grid-area: photo-2;
}

#proyectos .photo-3 {
    background-color: #fff;
    grid-area: photo-3;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-03.jpg");
}

#proyectos .photo-3:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-03.jpg");
    grid-area: photo-3;
}
  
#proyectos .photo-4 {
    background-color: #fff;
    grid-area: photo-4;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-04.jpg");
}

#proyectos .photo-4:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-04.jpg");
    grid-area: photo-4;
}
  
#proyectos .photo-5 {
    background-color: #fff;
    grid-area: photo-5;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-05.jpg");
}

#proyectos .photo-5:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-05.jpg");
    grid-area: photo-5;
}
  
#proyectos .photo-6 {
    background-color: #fff;
    grid-area: photo-6;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url("../img/work-06.jpg");
}

#proyectos .photo-6:hover {
    background-color: #fff;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0)), url("../img/work-06.jpg");
    grid-area: photo-6;
}
 
/************************************
            SERVICIOS
************************************/
.servicios {
    background: black;
    color:#fff;
    width: 90%;
    max-width: 1200px;
    min-height: 100vh;
    font-family: Belanosima-Regular, sans-serif;
    text-align: center;
    margin: 20px auto;
    padding: 0px 0px;
}

.textoServicios {
    display: block;
}

.servicio {
    padding: 0px 40px;
}

.contenedorServicios {
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 300px);
}

.s1 ,.s2, .s3, .s4 {
    text-align: center;
}

.imagenServicios {
    margin: 20px 0px;
    width: 25%;
}

/************************************
            BLOG
************************************/
.blog {
    background: black;
    background-color: black;
    color:#fff;
    width: 90%;
    max-width: 1200px;
    min-height: 100vh;
    margin: 20px auto;
    gap: 20px;
    padding: 0px 0px;
    font-family: Belanosima-Regular, sans-serif;
    text-align: center;
}

.textoBlogUltimo a {
    font-size: 1.6rem;
    color: #ed6d3e;
    font-weight: lighter;
    margin-bottom: 30px;
    text-align: left;
}

.textoBlogUltimo p {
    line-height: 2rem;
    color: #fff;
    text-align: left;
}

.contenedorBlog {
    width: 100%;
    display: flex;
    flex-direction: row;
}

.imagenBlogUltimo {
    width: 50%;
    display: flex;
    flex-direction: column;
    margin-right: 30px;
}

.imagenBlogUltimo i {
    text-align: center;
    padding-top: 5px;
    padding-bottom: 20px;
    color: #d6d6d6;
}

.imagenBlog {
    border-radius: 14px;
}

.textoBlogUltimo {
    width: 50%;
}

/************************************
            CONTACTO
************************************/

.contactos {
    background: #fff;
    color:#000;
    width: 90%;
    max-width: 1200px;
    font-family: Belanosima-Regular, sans-serif;
    text-align: center;
    margin: 0 auto;
    padding: 0px 0px;
    border-radius: 14px;
}

.textoContactos {
    display: block;
}

.contacto {
    padding-bottom: 10px;
}

.contenedorContactos {
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
}

.s1 ,.s2, .s3, .s4 {
    text-align: center;
}

.centrarTexto a {
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
}

.centrarTexto a:hover {
    color: #ed6d3e;
}

.textoContacto {
    padding: 0 40px;
    text-align: center;
}

.centrado {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
}

/************************************
            FOOTER
************************************/

footer {
    background-color: #000;
    display: flex;
    justify-content: center;
    padding: 20px;
}


@font-face {
    font-family: Belanosima-Regular;
    src: url(../Belanosima-Regular.ttf);
}


/************************************
            MEDIA MAX 1054px
************************************/

@media (max-width: 1054px){

h2 {
    font-size: 4rem;
}

h3 {
    font-size: 1.8rem;
}

.disenyador {
    font-size: 2.5rem;
}

.inicio {
    width: 100%;
    height: calc(100vh - 80px);
}
    
.enlace {
    padding: 15px 15px;
}

.logo {
    height: 50px;
    margin: 15 0;
    }

.isologo {
    margin-left: 10px;
    font-size: 24px;
    }

nav {
    height: 80px;
    }

nav > ul {
    height: 80px;
    padding: 20px 0;
}
nav ul li ul {
    top: 48px;
    padding: 14px 0px;
}

nav > ul > li a {
    padding: 32px 13px 31px 13px;
}

nav ul li a {
    font-size: 16px;
    }

nav ul li ul:before {
    left: 34px;
    }

#about {
    width: 100%;
    gap: 20px;
    padding: 0 40px;
}

#blog {
    width: 100%;
    gap: 20px;
    padding: 0 40px;
}

.servicios {
    width: 100%;
}

.contactos {
    width: 100%;
}

#contactos {
    margin: 0px 40px;
    width: calc(100% - 80px);
}

#proyectos {
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(5, 1fr);
        padding: 0 40px;
        gap: 20px;
        grid-auto-flow: row;
        position: relative;
        grid-template-areas:
          "photo-p photo-0 "
          "photo-p photo-0"
          "photo-1 photo-3"
          "photo-6 photo-5"
          "photo-2 photo-4";
        }
}

/************************************
            MEDIA MAX 858px
************************************/

@media (max-width: 858px){

    h2 {
        font-size: 3.8rem;
    }
        
    h3 {
        font-size: 1.6rem;
        padding: 15px 0;
    }
    
    .contenedorServicios > .servicio > h3 {
        text-align: center;
    }
    
    h4 {
        font-size: 1.2rem;
    }
        
    .disenyador {
        font-size: 2.3rem;
        line-height: 2rem;
    }

    .terminosYcondiciones{
        font-size: 13px;
    }

.checkbtn {
    display: block;        
    }
    
.inicio {
    height: calc(100vh - 80px);
    background: url(../img/fondo858.jpg) no-repeat;
    width: 100%;
    }

nav {
    height: 80px;
    width: 100%;
    }

nav > ul {
    display: flex;
    flex-direction: column;
    margin: 0 0;
    position: relative;
    width: 100%;
    height: calc(100vh - 80px);
    background-color: #ed6d3e;
    left: -100%;
    text-align: top;
    transition: all 0.5s ease; 
    text-align: center; 
    z-index: 10; 
    }
    
nav > ul > li {
    margin: 20px 0px;
    }

nav > ul > li a {
      font-size: 20px;
    }

nav ul li ul {
    display: none;
    height: 350px;
    width: 250px;
    top: 20px;
    flex-direction: column;
    background: #fff;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    position: relative;
    z-index: 10;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s ease;
    }

nav ul li:hover ul {
    display: flex;
    visibility: visible;
    opacity: 1;
    flex-direction: column;
    justify-items: center;
    }

li a.active {
    background:#ed6d3e;
    text-shadow: 1px 1px 4px #000;
    }

li a:hover, li a.active {
    color: #000;
    }

nav ul li ul:before {
    top: -12px;
    left: 120px;
    }

#check:checked ~ ul {
    left: 0;
    }

#about {
    padding: 0 20px;
    width: 100%;
}

#proyectos {
    padding: 0 20px;
    width: 100%;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(5, auto);
    gap: 20px;
    grid-auto-flow: row;
    position: relative;
    grid-template-areas:
        "photo-p photo-p"
        "photo-0 photo-0"
        "photo-1 photo-3"
        "photo-6 photo-5"
        "photo-2 photo-4";
        }

#proyectos .photo-0 {
    padding: 10px;
    font-size: 16px;
    height: 50vh;
    background-position: center center;
    }
    
#proyectos .photo-0 h2{
    padding: 10px;
    font-size: 22px;
    }

#proyectos .tile:not(.photo-0, .photo-p){
    height: 25vh;
    font-family: Belanosima-Regular, sans-serif;
    border-radius: 10px;
    background-size:cover;
    background-position: center center;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    place-items: center center;
    place-content: center center;    
    }

.titulo__proyecto {
    padding: 25px 15px;
    font-size: 16px;
    }

.servicio {
    padding: 0px 30px;
}

.imagenServicios {
    width: 30%;
}

#blog {
    padding: 0 20px;
    width: 100%;
}    
    
#contactos {
    margin: 0px 20px;
    width: calc(100% - 40px);
}
}

/************************************
            MEDIA MAX 600px
************************************/

@media (max-width: 600px){

h2 {
    font-size: 3.6rem;
}
    
h3 {
    font-size: 1.5rem;
}

.contenedorServicios > .servicio > h4 {
    text-align: center;
}

h4 {
    font-size: 1.1rem;
}

.disenyador {
    font-size: 2.2rem;
    line-height: 1.9rem;
}

.inicio {
    background: url(../img/fondo600.jpg) no-repeat;
    }

#proyectos {
    padding: 15px 15px;
    width: 100%;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(7, auto);
    gap: 20px;
    grid-auto-flow: row;
    position: relative;
    grid-template-areas:
        "photo-p"
        "photo-1" 
        "photo-3"
        "photo-6" 
        "photo-5"
        "photo-2"
        "photo-4";
        }
    
#proyectos .tile:not(.photo-0, .photo-p){
    max-height: 25vh;
    }
        
#proyectos .photo-0 {
    display: none;
    }

#proyectos .photo-p li {
    font-size: 16px;
    }

.servicio {
    padding: 0px 20px;
}

.imagenServicios {
    width: 35%;
}

#contacto {
    padding: 0 10px;
    margin: auto;
    grid-template: auto 100px / 100%;
    }

#contacto form {
    padding: 10px;
    }

.go-top-container {
    bottom: 2rem;
    right: 2rem;
}

.show .go-top-button {
    width: 3rem;
    height: 3rem;
}

@keyframes popup {
    0%{
        width: 0rem;
        height: 0rem;
    }
    50%{
        width: 4.5rem;
        height: 4.5rem;
    }
    100%{
        width: 3rem;
        height: 3rem;
    }
}
}

/************************************
            MEDIA MAX 500px
************************************/

@media (max-width: 500px){

    h2 {
        font-size: 3rem;
    }
        
    h3 {
        font-size: 1.3rem;
        padding: 10px 0;
    }
    
    h4 {
        font-size: 1rem;
    }

    h5 {
        line-height: 4rem;
        font-size: 5rem;
    }
        
    .disenyador {
        font-size: 2rem;
        line-height: 1.7rem;
    }

    .inicio {
        background: url(../img/fondo500.jpg) no-repeat;
    }
}

/************************************
            MEDIA MAX 400px
************************************/

@media (max-width: 400px){

    h2 {
        font-size: 2.4rem;
    }
    
    h3 {
        font-size: 1.1rem;
    }
    
    h4 {
        font-size: 0.9rem;
    }

    h5 {
        line-height: 3rem;
        font-size: 4rem;
    }

    .disenyador {
        font-size: 1.6rem;
    }

    .imagenBlogUltimo {
        margin-right: 10px;
    }

    .inicio {
        background: url(../img/fondo400.jpg) no-repeat;
    }
    }